package com.fs.his.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.his.domain.FsProject;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 理疗配置Mapper接口
 * 
 * @author fs
 * @date 2026-04-19
 */
public interface FsProjectMapper extends BaseMapper<FsProject>{
    /**
     * 查询理疗配置
     * 
     * @param id 理疗配置主键
     * @return 理疗配置
     */
    FsProject selectFsProjectById(Long id);

    /**
     * 查询理疗配置列表
     * 
     * @param fsProject 理疗配置
     * @return 理疗配置集合
     */
    List<FsProject> selectFsProjectList(FsProject fsProject);

    /**
     * 新增理疗配置
     * 
     * @param fsProject 理疗配置
     * @return 结果
     */
    int insertFsProject(FsProject fsProject);

    /**
     * 修改理疗配置
     * 
     * @param fsProject 理疗配置
     * @return 结果
     */
    int updateFsProject(FsProject fsProject);

    /**
     * 删除理疗配置
     * 
     * @param id 理疗配置主键
     * @return 结果
     */
    int deleteFsProjectById(Long id);

    /**
     * 批量删除理疗配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsProjectByIds(Long[] ids);

    /**
     * 理疗配置选项数据
     * @return
     */
    @Select("SELECT id,CONCAT_WS('-',project_name,day_name) project_name  FROM fs_project ")
    List<FsProject> selectFsProjectListOptions();

    @Select("SELECT id,CONCAT_WS('-',project_name,day_name) project_name  FROM fs_project where cate_id = #{cateId}")
    List<FsProject> selectFsProjectListOptionsByCateId(@Param("cateId") Long cateId);

    /**
     * 未生成音频的理疗
     */
    @Select("SELECT * FROM fs_project WHERE sound_url IS NULL")
    List<FsProject> selectFsProjecNoSoundtList();
}
